package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.entity.ScenePro;
import com.fdkankan.scene.vo.SceneEditVO;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * pro场景表 服务类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
public interface ISceneProAppService extends IService<ScenePro> {

    ResultData saveInitialPage(SceneEditVO base) throws Exception;

    ResultData saveFloorLogo(SceneEditVO base) throws Exception;

    ResultData saveHot(SceneEditVO base) throws Exception;

    ResultData saveBackgroundMusic(SceneEditVO base) throws Exception;

    ResultData saveSceneInfo(SceneEditVO base) throws Exception;

    ResultData saveSceneKey(SceneEditVO base) throws Exception;

    ResultData saveTourList(SceneEditVO base) throws Exception;

    ResultData uploadPic(String sceneNum, String folderName, MultipartFile file) throws Exception;

    ResultData uploadScreencapVoice(String sceneNum, MultipartFile file) throws Exception;

    ResultData saveScreencapFile(SceneEditVO base) throws Exception;

    ResultData saveHotVisible(SceneEditVO sceneEdit) throws Exception;

    ResultData saveLinkPano(SceneEditVO base) throws Exception;

    ResultData getRecordAudioFromWeixin(SceneEditVO base) throws Exception;

    ResultData getRecordAudioFromWeixinV3(String sceneNum, String id, String type, String fileName, String length, String replace, String times, String index) throws Exception;

    ResultData getRecordAudioFromAppV3(String sceneNum, String soundFile, String type, String fileName, String length, String replace, String times, String index) throws Exception;

    ResultData deleteRecordAudioPart(String sceneNum, String fileName, String times, String index, String type) throws Exception;

    ResultData uploadFloorJsonAndRebuild(SceneEditVO base) throws Exception;

    ResultData saveScreencapData(SceneEditVO base) throws Exception;

    ResultData saveAllVisi(SceneEditVO base) throws Exception;

    ResultData uploadFloorplanPng(String sceneNum, MultipartFile file, String cadInfo) throws Exception;

    ResultData uploadBgMusic(String sceneNum, String fileName, MultipartFile file) throws Exception;

    ResultData deleteUploadBgMusic(String sceneNum) throws Exception;

}
